<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/check_gate_access_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/19/85  check_gate_access_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>This subroutine will allow a caller to determine whether a user has
<span id="L5" class="LineNr"> 5 </span>access to a gate before trying to call it.  It will differentiate
<span id="L6" class="LineNr"> 6 </span>between not finding the gate and not having access.
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Entry points in check_gate_access_:
<span id="L10" class="LineNr">10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>:Entry:  check_gate_access_:  02/19/85 check_gate_access_
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Function:
<span id="L17" class="LineNr">17 </span>allows a caller to determine whether a user has access to a gate
<span id="L18" class="LineNr">18 </span>before trying to call it.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>dcl check_gate_access_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>call check_gate_access_ <span class="textRainbow_lv0_p0">(</span>gate_name<span class="textRainbow_lv0_o0">,</span> ref_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Arguments:
<span id="L27" class="LineNr">27 </span>gate_name
<span id="L28" class="LineNr">28 </span>   is the name of the gate.  <span class="textRainbow_lv0_p0">(</span>e.g.<span class="textRainbow_lv0_o0">,</span> &quot;phcs_&quot;<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>ref_ptr
<span id="L30" class="LineNr">30 </span>   is a pointer used to determine the desired referencing directory.
<span id="L31" class="LineNr">31 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be null <span class="textRainbow_lv0_p0">()</span>, in which case the referencing_dir search
<span id="L32" class="LineNr">32 </span>   rule is not used, or can be a pointer to a procedure, usually the
<span id="L33" class="LineNr">33 </span>   caller of check_gate_access_, whose containing directory will be
<span id="L34" class="LineNr">34 </span>   used as the referencing directory.
<span id="L35" class="LineNr">35 </span>code
<span id="L36" class="LineNr">36 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It's value will be zero
<span id="L37" class="LineNr">37 </span>   if the gate is located using the search rules of the current ring
<span id="L38" class="LineNr">38 </span>   and if the access to the gate includes execute access.  If the gate
<span id="L39" class="LineNr">39 </span>   cannot be located, the error code returned is error_table_$noentry.
<span id="L40" class="LineNr">40 </span>   If the gate is located, but execute access is lacking, then
<span id="L41" class="LineNr">41 </span>   error_table_$moderr is returned.
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>Notes:  Programs which can take alternate paths based on the access of
<span id="L45" class="LineNr">45 </span>lack of access to a gate should use this subroutine rather than trying
<span id="L46" class="LineNr">46 </span>to reference the gate explicitly and generating an access violation
<span id="L47" class="LineNr">47 </span>audit message in the process.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
